JavaScript is required to use Bungie.net

#BungieAerospace
0
Arbitor5

Arbitor5

1/13/2012 2:19:50 PM
I'd really like to play Crimson on my iPod Touch but I can't because its needs iOS 5 but because my iPod is 3rd Generation it doesn't have the update for iOS 5. So What I want to know is; is there any chance of it being available for iOS 4? Does anyone else feel this way?
preload icon
preload icon
preload icon
You are not allowed to view this content.